#include <bits/stdc++.h>
using namespace std;

vector<int> a;
vector<pair<int, int>> seg_tree;
int n;

void build_tree(int curr = 1, int l = 0, int r = n - 1) {
    if (l == r) {
        seg_tree[curr].first = a[l];
        seg_tree[curr].second = INT_MAX;
    } else {
        int mid = (l + r) / 2;
        build_tree(curr*2, l, mid);
        build_tree(curr*2 + 1, mid + 1, r);
        seg_tree[curr].first = min(seg_tree[curr*2].first, seg_tree[curr*2+1].first);
        if (l + 1 == r) {
            seg_tree[curr].second = max(seg_tree[curr*2].first, seg_tree[curr*2+1].first);
        } else {
            if (seg_tree[curr*2].first < seg_tree[curr*2+1].first) {
                seg_tree[curr].second = min(seg_tree[curr*2].second, seg_tree[curr*2+1].first);
            } else {
                seg_tree[curr].second = min(seg_tree[curr*2].first, seg_tree[curr*2+1].second);
            }
        }
    }
}

int get_min(int query_l, int query_r, int curr = 1, int l = 0, int r = n - 1) {
    if (l > r || l > query_r || r < query_l) {
        return INT_MAX;
    }
    if (l >= query_l && r <= query_r) {
        return seg_tree[curr].first;
    }

    int mid = (l + r) / 2;
    return min(get_min(query_l, query_r, curr*2, l, mid), 
            get_min(query_l, query_r, curr*2+1, mid + 1, r));
}

int get_min_second(int query_l, int query_r, int curr = 1, int l = 0, int r = n - 1) {
    if (l > r || l > query_r || r < query_l) {
        return INT_MAX;
    }
    if (l >= query_l && r <= query_r) {
        return seg_tree[curr].second;
    }

    int mid = (l + r) / 2;
    return min(get_min(query_l, query_r, curr*2, l, mid), 
            get_min(query_l, query_r, curr*2+1, mid + 1, r));
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	cin>>n;
    a.resize(n);
    seg_tree.resize(4*n+1);

    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }

    build_tree();

    int m = 0;
    for (int i = 0; i < n; i++) {
        for (int j = i; j < n; j++) {
            m = max(m, (j-i+1)*(get_min(i, j)+get_min_second(i, j)));
        }
    }

    cout << m;
}
