#include <bits/stdc++.h>
using namespace std;

struct Node
{
    int x, y, dist;
};

int row[] = { -1, 0, 0, 1 };
int col[] = { 0, -1, 1, 0 };

bool isMyFuction(vector<vector<int>> const& mat, vector<vector<bool>>& arr,
    int row, int col) {
    return (row >= 0 && row < mat.size()) && (col >= 0 && col < mat[0].size())
        && mat[row][col] && !arr[row][col];
}

int sorten(vector<vector<int>> const& mat, pair<int, int>& src,
    pair<int, int>& dest)
{
    if (mat.size() == 0 || mat[src.first][src.second] == 0 ||
        mat[dest.first][dest.second] == 0) {
        return -1;
    }

    int M = mat.size();
    int N = mat[0].size();

    vector<vector<bool>> arr;
    arr.resize(M, vector<bool>(N));

    queue<Node> q;

    int i = src.first;
    int j = src.second;

    arr[i][j] = true;
    q.push({ i, j, 0 });

    int min_dist = INT_MAX;

    while (!q.empty())
    {
        Node node = q.front();
        q.pop();

        int i = node.x, j = node.y, dist = node.dist;

        if (i == dest.first && j == dest.second)
        {
            min_dist = dist;
            break;
        }

        for (int k = 0; k < 4; k++)
        {
            if (isMyFuction(mat, arr, i + row[k], j + col[k]))
            {
                arr[i + row[k]][j + col[k]] = true;
                q.push({ i + row[k], j + col[k], dist + 1 });
            }
        }
    }

    if (min_dist != INT_MAX) {
        return min_dist;
    }

    return -1;
}


int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
   vector<vector<int>> mat;
    int n = 2 , m = 4, k = 1;
    cin >> n >> m >> k;
    for (int i = 0; i < n; ++i)
    {
        vector<int> v;
        for (int j = 0; j < m; ++j)
        {
            v.push_back(1);
        }
        mat.push_back(v);
    }

    int x1, y1, x2, y2;
    for (int i = 0; i < k; ++i)
    {
        cin >> x1 >> y1 >> x2 >> y2;
        for (int x = x1; x < x2; x++)
        {
            for (int y = y1; y < y2; ++y)
            {
                mat[x][y] = 0;
            }
        }
    }
    pair<int, int> src = make_pair(0, 0);
    pair<int, int> dest = make_pair(n - 1, m - 1);

    int min_dist = sorten(mat, src, dest);
    if (min_dist != -1)
    {
        cout << "YES" << endl;
    }
    else {
        cout << "NO" << endl;
    }

    return 0;
}
