function checkIntersection(x1, y1, x2, y2, minX, minY, maxX, maxY) {
    if ((x1 <= minX && x2 <= minX) || (y1 <= minY && y2 <= minY) || (x1 >= maxX && x2 >= maxX) || (y1 >= maxY && y2 >= maxY))
        return false;
    let m = (y2 - y1) / (x2 - x1);

    let y = m * (minX - x1) + y1;
    if (y > minY && y < maxY) 
		return true;

    y = m * (maxX - x1) + y1;
    if (y > minY && y < maxY) 
		return true;

    let x = (minY - y1) / m + x1;
    if (x > minX && x < maxX) 
		return true;

    x = (maxY - y1) / m + x1;
    if (x > minX && x < maxX) 
		return true;

    return false;
}

process.stdin.on('data', function (data) {
	let lines = (""+data)
		.split('\n').map(e => {
			return e.split(' ')
				.map(i => parseInt(i, 10));
		});
    lines.splice(-1, 1);
    const [n, m, k] = lines.splice(0, 1)[0];

    let can = true;
    lines.forEach(rect => {
      if (can)
        if (checkIntersection(0, 0, n, m, rect[0], rect[1], rect[2], rect[3]))
          can = false;
    });

    console.log(can ? "YES" : "NO")
});