#include <bits/stdc++.h>
using namespace std;

int NoSide = 0;
int Right = 1;
int Left = -1;
int Down = -1;
int Up = 1;


struct Rect
{
    int touching_side_x = NoSide;
    int touching_side_y = NoSide;
    int x1, y1, x2, y2;
    vector<Rect*> children;
    unordered_set<Rect*> visited_from_roots;

    Rect(int x1, int y1, int x2, int y2) : x1(x1), y1(y1), x2(x2), y2(y2) {}
};


void recursive_visit(Rect* root, Rect* rect)
{
    bool path_blocked = false;
    if (root->touching_side_x && root->touching_side_y && rect->touching_side_x && rect->touching_side_y)
    {
        path_blocked = true;
    }
    else if (root->touching_side_x && root->touching_side_y)
    {
        path_blocked = !((rect->touching_side_y == NoSide && rect->touching_side_x == root->touching_side_x)
            || (rect->touching_side_x == NoSide && rect->touching_side_y == root->touching_side_y));
    }
    else if (rect->touching_side_x && rect->touching_side_y)
    {
        path_blocked = !((root->touching_side_y == NoSide && root->touching_side_x == rect->touching_side_x)
            || (root->touching_side_x == NoSide && root->touching_side_y == rect->touching_side_y));
    }
    else
    {
        int only_root_side = (root->touching_side_x ? root->touching_side_x : root->touching_side_y);
        int only_rect_side = (rect->touching_side_x ? rect->touching_side_x : rect->touching_side_y);
        path_blocked = only_root_side != only_rect_side;

    }
    if (path_blocked)
    {
        cout << "NO" << endl;
        exit(0);
    }

    rect->visited_from_roots.insert(root);
    for (Rect* child : rect->children)
    {
        if (!child->visited_from_roots.count(root))
        {
            recursive_visit(root, child);
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, m, k;
    cin >> n >> m >> k;

    vector<Rect*> side_rectangles;
    unordered_map<int, Rect*> rectangles;
    rectangles.reserve(k);

    bool certain_death = false;
    for (int i = 0; i < k; i++)
    {
        int x1, y1, x2, y2;
        cin >> x1 >> y1 >> x2 >> y2;
        if (x1 == 0 && x2 == n || y1 == 0 && y2 == m)
        {
            certain_death = true;
        }

        auto cur_iter = rectangles.find(i);
        if (rectangles.find(i) == rectangles.end())
        {
            auto [new_iter, b] = rectangles.emplace(i, new Rect(x1, y1, x2, y2));
            cur_iter = new_iter;
        }

        if (x1 == 0)
        {
            cur_iter->second->touching_side_x = Left;
            side_rectangles.push_back(cur_iter->second);
        }
        else if (x2 == n)
        {
            cur_iter->second->touching_side_x = Right;
            side_rectangles.push_back(cur_iter->second);
        }
        else if (y1 == 0)
        {
            cur_iter->second->touching_side_y = Up;
            side_rectangles.push_back(cur_iter->second);
        }
        else if (y2 == m)
        {
            cur_iter->second->touching_side_y = Down;
            side_rectangles.push_back(cur_iter->second);
        }

        for (auto& iter : rectangles)
        {
            if (iter.first == cur_iter->first)
            {
                continue;
            }
            Rect* rect = iter.second;
            if (rect->x1 <= x2 && rect->x2 >= x1 && rect->y1 <= y2 && rect->y2 >= y1)
            {
                cur_iter->second->children.push_back(rect);
                rect->children.push_back(cur_iter->second);
            }
        }
    }
    
    if (certain_death)
    {
        cout << "NO" << endl;
        exit(0);
    }
    for (Rect* rect : side_rectangles)
    {
        recursive_visit(rect, rect);
    }
    cout << "YES" << endl;
}