import math


class Cell:
    def __init__(self, value, arc_index):
        self.value = value
        self.arc_index = arc_index


n, dog_x, dog_y, bee_x, bee_y = map(int, input().split())

grid = [[Cell(".", -1) for _ in range(500)] for _ in range(20)]
dog_x, dog_y, bee_x, bee_y = dog_x*3, len(grid)-dog_y-4, bee_x*3, len(grid)-bee_y-4

circles = []

for i in range(n):
    circles.append(tuple(map(int, input().split())))

grid[dog_y][dog_x] = Cell('D', -1)
grid[bee_y][bee_x] = Cell('B', -1)

def is_dog_in_danger(grid, d_x, d_y, b_x, b_y):
    # x, y
    # d_x, d_y, b_x, b_y = -d_x, -d_y, -b_x, -b_y
    # d_x, d_y, b_x, b_y = d_x, d_y, b_x, bee_y
    dirs = [(0, -1), (0, 1), (1, 0), (-1, 0)]
    current = (b_x, b_y)
    to_check = [(b_x, b_y)]
    t = True
    while to_check:
        cell_to_check = to_check.pop(0)

        for direction_x, direction_y in dirs:
            if 0 <= direction_x + cell_to_check[0] <= len(grid[0])-1 and 0 <= direction_y + cell_to_check[1] <= len(grid)-1:
                if grid[direction_y + cell_to_check[1]][direction_x + cell_to_check[0]].value in ['.', 'B', 'D']:
                    to_check.append((direction_x + cell_to_check[0], direction_y + cell_to_check[1]))
                    grid[direction_y + cell_to_check[1]][direction_x + cell_to_check[0]] = Cell('!', -1)

            else:
                continue

    if grid[d_y][d_x] == '!':
        return True
    return False


for circ_i in range(len(circles)):
    center = (circles[circ_i][0]*3, len(grid)-1)
    r = circles[circ_i][1] * 3

    for i in range(0, 181, 10):
        angle = i

        # print(f"i = {i} {i < 90}")
        if i <= 90:
            x = int(math.cos(math.radians(angle)) * r)
            y = int(math.sin(math.radians(angle)) * r)
            grid[center[1]-y][center[0]-x] = Cell('W', circ_i)
        else:
            x = int(math.cos(math.radians(180 - angle)) * r)
            y = int(math.sin(math.radians(180 - angle)) * r)
            grid[center[1]-y][center[0]+x] = Cell('W', circ_i)

can_bee_hit_the_dog = is_dog_in_danger(grid, dog_x, dog_y, bee_x, bee_y)
if can_bee_hit_the_dog:
    print("YES")
else:
    print("NO")
    coords_to_bee = [i for i in range(abs(dog_x-bee_x))]

# x = int(math.cos(math.radians(70)) * r)
# y = int(math.sin(math.radians(70)) * r)

# print(x, y)

# grid[center[1]-y][center[0]-x] = 'W'
#for row in grid:
#    for sym in row:
#        print(sym.value, end='')
#    print()

# print(x)
# print(y)
