#include <iostream>
#include <set>
#include <vector>
#include <climits>
#include <string>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

typedef long long ll;
typedef long long ull;
typedef pair<int, int> pint;
typedef pair<ll, ll> pll;

vector<vector<int>> ways;
vector<bool> active;

void Dive(int st)
{
    active[st] = false;
    for (int i = 0; i < ways[st].size(); i++)
    {
        if (active[ways[st][i]]) Dive(ways[st][i]);
    }
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n;
    cin >> n;
    ways = vector<vector<int>>(n, vector<int>());
    active = vector<bool>(n, true);
    for (int i = 1; i <= n; i++)
    {
        int con = i * 2;
        if (con > n) con -= n;
        ways[i - 1].push_back(con - 1);
        ways[con - 1].push_back(i - 1);
    }
    Dive(0);
    bool ok = true;
    int ver = 0;
    for (int i = 0; i < n; i++)
    {
        if (active[i])
        {
            ver = i;
            ok = false;
            break;
        }
    }
    if (ok) cout << "YES\n";
    else
    {
        cout << "NO\n";
        if (ver == 0) cout << "1 2\n";
        else cout << "1 " << ver + 1 << "\n";
    }
}