from queue import Queue

def check_valid(x, y, n, m):
    return x >= 0 and x < n and y >= 0 and y < m

def bfs(x1, y1, x2, y2, n, m, room):
    q = Queue()
    q.put((x1, y1))
    while not q.empty():
        x, y = q.get()
        if x == x2 and y == y2:
            return True
        for dx, dy in [(0, 0.5), (0, -0.5), (0.5, 0), (-0.5, 0)]:
            newx, newy = x + dx, y + dy
            if check_valid(newx, newy, n, m) and room[int(newx)][int(newy)] == 0:
                room[int(newx)][int(newy)] = 1
                q.put((newx, newy))
    return False

def main():
    n, m, k = map(int, input().split())
    room = [[0 for _ in range(m)] for _ in range(n)]
    for _ in range(k):
        x1, y1, x2, y2 = map(int, input().split())
        for i in range(x1, x2):
            for j in range(y1, y2):
                room[i][j] = 1
    if bfs(0, 0, n, m, n, m, room):
        print("YES")
    else:
        print("NO")

if __name__ == "__main__":
    main()
