#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
#pragma GCC target("avx2")
using namespace std;
typedef long long ll;
ll rnd() {
	ll x = rand();
	ll y = rand();
	return (x << 31) + y;
}
struct SegTree {
    ll n;
    vector < pair < ll, ll >> t;
    SegTree(ll nn) {
        n = 1 << ((ll)ceil(log2(nn)));
        t.resize(n << 1, {1e17, 1});
    }
    void build() {
        for (ll i = n - 1; i > 0; --i)
            t[i] = min(t[i << 1], t[i << 1 | 1]);
    }
    pair < ll, ll > res(ll l, ll r) {
		++r;
		pair < ll, ll > ans = {1e17, 1};
		for(l += n, r += n; l < r; l >>= 1, r >>= 1) {
			if(l & 1)
				ans = min(ans, t[l++]);
			if(r & 1)
				ans = min(ans, t[--r]);
		}
		return ans;
   	}
	ll query(ll l, ll r) {
		ll i = res(l, r).second;
		auto p1 = res(l, i - 1), p2 = res(i + 1, r);
		ll j = (p1 < p2 ? p1.second : p2.second);
		return (r - l + 1) * (t[n + i].first + t[n + j].first);
	}
};
void solve()
{
	srand(time(0));
	ll n;
	cin >> n;
	int a[n];
	SegTree t(n);
	for (ll i = 0; i < n; ++i)
		cin >> a[i], t.t[t.n + i] = {a[i], i};
	t.build();
	if(n <= 8000) {
		ll res = 0;
		for (ll l = 0; l < n; ++l)
			for (ll r = l + 1; r < n; ++r)
				res = max(res, t.query(l, r));
		cout << res;
		return;
	}
	ll mx = 7e7 / log2(n);
	ll ans = t.query(0, n - 1);
	for (ll i = 0; i < mx; ++i) {
		ll l = rnd() % n;
		ll r = rnd() % n;
		if(r<l) swap(l,r);
		ans = max(ans, t.query(l, r));
	}
	cout << ans;

}
signed main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(false);
	ll q = 1;
	while (q--)
		solve();
	return 0;
}
