using System;
using System.Linq;

public class Program
{
    public static void Main(string[] args)
    {   
        var n = int.Parse(Console.ReadLine());

        var shortLoopFound = false;


        ConnectedNodes[] connectedNodes = new ConnectedNodes[n];

        for (int i = 0; i < n; i++)
        {
            var city = i + 1;
            var connectedCity = GetNextCity(city, n);

            connectedNodes[i] = new ConnectedNodes(new int[] {city,connectedCity });
        }

        for (int i = 0; i < n; i++)
        {
            for (int j = i + 1; j < n; j++)
            {
                if (connectedNodes[i].ID != connectedNodes[j].ID)
                {
                    if (ArraysHaveIntersection(connectedNodes[i].Nodes, connectedNodes[j].Nodes))
                    {
                        var newArrary = MergeArrays(connectedNodes[i].Nodes, connectedNodes[j].Nodes);
                        connectedNodes[i].Nodes = newArrary;
                        connectedNodes[j] = connectedNodes[i];
                    }
                }
            }
        }

        var firstConnectedNodes = connectedNodes[0];

        for (int i = 1; i < n; i++)
        {
            if (firstConnectedNodes.ID != connectedNodes[i].ID)
            {
                Console.WriteLine("NO");
                Console.WriteLine($"{firstConnectedNodes.Nodes[0]} {connectedNodes[i].Nodes[0]}");
                return;
            }
        }
       
        Console.WriteLine("YES");
    }

    public static bool ArraysHaveIntersection(int[] a1, int[] a2)
    {
        return a1.Intersect(a2).Any();
    }

    public static int[] MergeArrays(int[] a1, int[] a2) 
    { 
        return a1.Union(a2).ToArray<int>();
    }

    public static int GetNextCity(int i, int n)
    {
        return (2 * i > n) ? 2 * i - n : 2 * i;
    }

    public class ConnectedNodes
    {
        public string ID;
        public int[] Nodes;

        public ConnectedNodes(int[] nodes) 
        { 
            ID = Guid.NewGuid().ToString();
            Nodes = nodes;
        }
    }

    

    public static int[] SplitString(string input)
    {
        var words = input.Split(' ');
        var numbers = new int[words.Length];

        for (int i = 0; i < words.Length; i++)
        {
            numbers[i] = int.Parse(words[i]);
        }

        return numbers;
    }

}

}
