#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <math.h>
#include <queue>
#include <string>
#include <iomanip>
#include <set>
#include <cmath>

#define LF '\n'

using namespace std;
typedef long long int lli;

struct rect
{
    int x1, x2, y1, y2;
};

int l, r, h, d;
vector<rect> v;
vector<vector<int>> g;
vector<int> used;

void dfs(int a)
{
    used[a] = 1;
    l = min(l, v[a].y1);
    r = max(r, v[a].y2);
    h = min(h, v[a].x1);
    d = max(d, v[a].x2);
    for (auto to : g[a]) {
        if (used[to] == 0) {
            dfs(to);
        }
    }
}

void solve()
{
    int n, m,k;
    cin >> n >> m >> k;
    v.resize(k + 1);
    g.resize(k + 1);
    used.resize(k + 1, 0);
    for (int i = 1; i <= k; i++) {
        cin >> v[i].x1 >> v[i].y1 >> v[i].x2 >> v[i].y2;
    }
    for (int i = 1; i <= k; i++) {
        for (int j = i + 1; j <= k; j++) {
            if (v[i].x1 <= v[j].x2 && v[j].x1 <= v[i].x2 && v[i].y1 <= v[j].y2 && v[j].y1 <= v[i].y2) {
                g[i].push_back(j);
                g[j].push_back(i);
            }
        }
    }

    
    for (int i = 1; i <= k; i++) {
        if (used[i] == 0) {
            l = m, r = 0,h=n,d=0;
            dfs(i);
            if ((r - l) == m || (d - h) == n) {
                cout << "NO";
                return;
            }
            if (r == m && d == n) {
                cout << "NO";
                return;
            }
            if (l == 0 && h == 0) {
                cout << "NO";
                return;
            }
        }
    }
    cout << "YES";
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

#ifdef _DEBUG
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif


    solve();
}

